<?php defined('ALTUMCODE') || die() ?>

<div class="container">
    <nav aria-label="breadcrumb">
        <ol class="custom-breadcrumbs small">
            <li><a href="<?= url() ?>"><?= l('index.breadcrumb') ?></a> <i class="fa fa-fw fa-angle-right"></i></li>
            <li><a href="<?= url('api-documentation') ?>"><?= l('api_documentation.breadcrumb') ?></a> <i class="fa fa-fw fa-angle-right"></i></li>
            <li class="active" aria-current="page"><?= l('api_documentation.domain_names.breadcrumb') ?></li>
        </ol>
    </nav>

    <h1 class="h4 mb-4"><?= l('api_documentation.domain_names.header') ?></h1>

    <div class="accordion">
        <div class="card">
            <div class="card-header bg-gray-50 p-3 position-relative">
                <h3 class="h6 m-0">
                    <a href="#" class="stretched-link" data-toggle="collapse" data-target="#domain_names_read_all" aria-expanded="true" aria-controls="domain_names_read_all">
                        <?= l('api_documentation.read_all') ?>
                    </a>
                </h3>
            </div>

            <div id="domain_names_read_all" class="collapse">
                <div class="card-body">

                    <div class="form-group mb-4">
                        <label><?= l('api_documentation.endpoint') ?></label>
                        <div class="card bg-gray-100 border-0">
                            <div class="card-body">
                                <span class="badge badge-success mr-3">GET</span> <span class="text-muted"><?= SITE_URL ?>api/domain-names/</span>
                            </div>
                        </div>
                    </div>

                    <div class="form-group mb-4">
                        <label><?= l('api_documentation.example') ?></label>
                        <div class="card bg-gray-100 border-0">
                            <div class="card-body">
                                curl --request GET \<br />
                                --url '<?= SITE_URL ?>api/domain-names/' \<br />
                                --header 'Authorization: Bearer <span class="text-primary">{api_key}</span>' \
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive table-custom-container mb-4">
                        <table class="table table-custom">
                            <thead>
                            <tr>
                                <th><?= l('api_documentation.parameters') ?></th>
                                <th><?= l('api_documentation.details') ?></th>
                                <th><?= l('api_documentation.description') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>page</td>
                                <td>
                                    <span class="badge badge-info"><?= l('api_documentation.optional') ?></span>
                                    <span class="badge badge-secondary"><?= l('api_documentation.int') ?></span>
                                </td>
                                <td><?= l('api_documentation.filters.page') ?></td>
                            </tr>
                            <tr>
                                <td>results_per_page</td>
                                <td>
                                    <span class="badge badge-info"><?= l('api_documentation.optional') ?></span>
                                    <span class="badge badge-secondary"><?= l('api_documentation.int') ?></span>
                                </td>
                                <td><?= sprintf(l('api_documentation.filters.results_per_page'), '<code>' . implode('</code> , <code>', [10, 25, 50, 100, 250, 500]) . '</code>', 25) ?></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                    <div class="form-group">
                        <label><?= l('api_documentation.response') ?></label>
                        <div class="card bg-gray-100 border-0">
                                        <pre class="card-body">
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "AltumCode.Com",
            "target": "altumcode.com",
            "whois": {
                "start_datetime": "2019-12-15 18:03:36",
                "updated_datetime": "2020-05-24 15:37:15",
                "end_datetime": "2022-12-15 18:03:36",
                "registrar": "NAMECHEAP INC",
                "nameservers": [
                    "ns1.digitalocean.com",
                    "ns2.digitalocean.com",
                    "ns3.digitalocean.com"
                ]
            },
            "whois_notifications": null,
            "ssl": {
                "issuer_name": "Let's Encrypt",
                "issuer_full": "R3",
                "start_datetime": "2021-06-05 14:40:13",
                "end_datetime": "2021-09-03 14:40:13"
            },
            "ssl_notifications": null,
            "total_checks": 25,
            "last_check_datetime": "2021-07-01 14:42:14",
            "next_check_datetime": "2021-07-04 14:42:15",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2021-03-09 11:30:20"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "<?= SITE_URL ?>api/domain-names?&page=1",
        "last": "<?= SITE_URL ?>api/domain-names?&page=1",
        "next": null,
        "prev": null,
        "self": "<?= SITE_URL ?>api/domain-names?&page=1"
    }
}</pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header bg-gray-50 p-3 position-relative">
                <h3 class="h6 m-0">
                    <a href="#" class="stretched-link" data-toggle="collapse" data-target="#domain_names_read" aria-expanded="true" aria-controls="domain_names_read">
                        <?= l('api_documentation.read') ?>
                    </a>
                </h3>
            </div>

            <div id="domain_names_read" class="collapse">
                <div class="card-body">

                    <div class="form-group mb-4">
                        <label><?= l('api_documentation.endpoint') ?></label>
                        <div class="card bg-gray-100 border-0">
                            <div class="card-body">
                                <span class="badge badge-success mr-3">GET</span> <span class="text-muted"><?= SITE_URL ?>api/domain-names/</span><span class="text-primary">{domain_name_id}</span>
                            </div>
                        </div>
                    </div>

                    <div class="form-group mb-4">
                        <label><?= l('api_documentation.example') ?></label>
                        <div class="card bg-gray-100 border-0">
                            <div class="card-body">
                                curl --request GET \<br />
                                --url '<?= SITE_URL ?>api/domain-names/<span class="text-primary">{domain_name_id}</span>' \<br />
                                --header 'Authorization: Bearer <span class="text-primary">{api_key}</span>' \
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label><?= l('api_documentation.response') ?></label>
                        <div class="card bg-gray-100 border-0">
                                        <pre class="card-body">
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "AltumCode.Com",
        "target": "altumcode.com",
        "whois": {
            "start_datetime": "2019-12-15 18:03:36",
            "updated_datetime": "2020-05-24 15:37:15",
            "end_datetime": "2022-12-15 18:03:36",
            "registrar": "NAMECHEAP INC",
            "nameservers": [
                "ns1.digitalocean.com",
                "ns2.digitalocean.com",
                "ns3.digitalocean.com"
            ]
        },
        "whois_notifications": null,
        "ssl": {
            "issuer_name": "Let's Encrypt",
            "issuer_full": "R3",
            "start_datetime": "2021-06-05 14:40:13",
            "end_datetime": "2021-09-03 14:40:13"
        },
        "ssl_notifications": null,
        "total_checks": 25,
        "last_check_datetime": "2021-07-01 14:42:14",
        "next_check_datetime": "2021-07-04 14:42:15",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2021-03-09 11:30:20"
    }
}</pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
